//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.08.04 at 08:18:05 PM EET 
//


package genericinterface.epg.edafa.com;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for billPaymentReturn complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="billPaymentReturn">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="pgTrxId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="statusDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="extraOut1" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="extraOut2" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="responseMsg" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="customerCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="billingTopology" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="newOpenAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="invoices">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="invoice" type="{http://com.edafa.epg.genericInterface/}invoice" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="paidAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="serviceAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "billPaymentReturn", propOrder = {
    "pgTrxId",
    "status",
    "statusDescription",
    "extraOut1",
    "extraOut2",
    "responseMsg",
    "customerCode",
    "billingTopology",
    "newOpenAmount",
    "invoices",
    "paidAmount",
    "serviceAmount"
})
@XmlSeeAlso({
    PayOfflineAchDirectDebitStep2Return.class,
    PayOfflineDirectDebitStep2Return.class
})
public class BillPaymentReturn {

    @XmlElement(required = true, nillable = true)
    protected String pgTrxId;
    @XmlElement(required = true)
    protected String status;
    @XmlElement(required = true)
    protected String statusDescription;
    @XmlElement(required = true, nillable = true)
    protected String extraOut1;
    @XmlElement(required = true, nillable = true)
    protected String extraOut2;
    @XmlElement(required = true, nillable = true)
    protected String responseMsg;
    @XmlElement(required = true, nillable = true)
    protected String customerCode;
    @XmlElement(required = true, type = Boolean.class, nillable = true)
    protected Boolean billingTopology;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long newOpenAmount;
    @XmlElement(required = true, nillable = true)
    protected BillPaymentReturn.Invoices invoices;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long paidAmount;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long serviceAmount;

    /**
     * Gets the value of the pgTrxId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPgTrxId() {
        return pgTrxId;
    }

    /**
     * Sets the value of the pgTrxId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPgTrxId(String value) {
        this.pgTrxId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the statusDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusDescription() {
        return statusDescription;
    }

    /**
     * Sets the value of the statusDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusDescription(String value) {
        this.statusDescription = value;
    }

    /**
     * Gets the value of the extraOut1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExtraOut1() {
        return extraOut1;
    }

    /**
     * Sets the value of the extraOut1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExtraOut1(String value) {
        this.extraOut1 = value;
    }

    /**
     * Gets the value of the extraOut2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExtraOut2() {
        return extraOut2;
    }

    /**
     * Sets the value of the extraOut2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExtraOut2(String value) {
        this.extraOut2 = value;
    }

    /**
     * Gets the value of the responseMsg property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResponseMsg() {
        return responseMsg;
    }

    /**
     * Sets the value of the responseMsg property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResponseMsg(String value) {
        this.responseMsg = value;
    }

    /**
     * Gets the value of the customerCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerCode() {
        return customerCode;
    }

    /**
     * Sets the value of the customerCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerCode(String value) {
        this.customerCode = value;
    }

    /**
     * Gets the value of the billingTopology property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBillingTopology() {
        return billingTopology;
    }

    /**
     * Sets the value of the billingTopology property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBillingTopology(Boolean value) {
        this.billingTopology = value;
    }

    /**
     * Gets the value of the newOpenAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getNewOpenAmount() {
        return newOpenAmount;
    }

    /**
     * Sets the value of the newOpenAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setNewOpenAmount(Long value) {
        this.newOpenAmount = value;
    }

    /**
     * Gets the value of the invoices property.
     * 
     * @return
     *     possible object is
     *     {@link BillPaymentReturn.Invoices }
     *     
     */
    public BillPaymentReturn.Invoices getInvoices() {
        return invoices;
    }

    /**
     * Sets the value of the invoices property.
     * 
     * @param value
     *     allowed object is
     *     {@link BillPaymentReturn.Invoices }
     *     
     */
    public void setInvoices(BillPaymentReturn.Invoices value) {
        this.invoices = value;
    }

    /**
     * Gets the value of the paidAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPaidAmount() {
        return paidAmount;
    }

    /**
     * Sets the value of the paidAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPaidAmount(Long value) {
        this.paidAmount = value;
    }

    /**
     * Gets the value of the serviceAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getServiceAmount() {
        return serviceAmount;
    }

    /**
     * Sets the value of the serviceAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setServiceAmount(Long value) {
        this.serviceAmount = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="invoice" type="{http://com.edafa.epg.genericInterface/}invoice" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "invoice"
    })
    public static class Invoices {

        protected List<Invoice> invoice;

        /**
         * Gets the value of the invoice property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the invoice property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getInvoice().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Invoice }
         * 
         * 
         */
        public List<Invoice> getInvoice() {
            if (invoice == null) {
                invoice = new ArrayList<Invoice>();
            }
            return this.invoice;
        }

    }

}
